/*
* Code by Bodysoulspirit. Public Domain.
*/

#include "node.h"

VuoModuleMetadata({
					 "title" : "Append First Item",
					 "description" : "Appends a copy of the first item at the end of the list.",
					 "keywords" : ["Close"],
					 "version" : "1.0.0",
					 "node" : {
						  "exampleCompositions" : []
					 }
				 });

void nodeEvent
(
		VuoInputData(VuoList_VuoGenericType1) list,
		VuoOutputData(VuoList_VuoGenericType1) appendedList
)
{
	*appendedList = VuoListCopy_VuoGenericType1(list);
	VuoGenericType1 firstItem = VuoListGetValue_VuoGenericType1(list, 1);
	VuoListAppendValue_VuoGenericType1(*appendedList, firstItem);
}
